aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/bootstrap_verify_perf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'resources/libraries/bash/entry/bootstrap_verify_perf.sh')
-rwxr-xr-x[-rw-r--r--]resources/libraries/bash/entry/bootstrap_verify_perf.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/resources/libraries/bash/entry/bootstrap_verify_perf.sh b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
index fc3344010b..18dfd08c39 100644..100755
--- a/resources/libraries/bash/entry/bootstrap_verify_perf.sh
+++ b/resources/libraries/bash/entry/bootstrap_verify_perf.sh
@@ -1,4 +1,4 @@
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2023 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -32,21 +32,21 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
}
source "${BASH_FUNCTION_DIR}/gather.sh" || die "Source failed."
source "${BASH_FUNCTION_DIR}/ansible.sh" || die "Source failed."
+source "${BASH_FUNCTION_DIR}/terraform.sh" || die "Source failed."
common_dirs || die
check_prerequisites || die
get_test_code "${1-}" || die
get_test_tag_string || die
-select_topology || die
select_arch_os || die
gather_build || die
check_download_dir || die
activate_virtualenv || die
generate_tests || die
archive_tests || die
+prepare_topology || die
+select_topology || die
reserve_and_cleanup_testbed || die
-select_tags || die
-compose_pybot_arguments || die
-run_pybot || die
-untrap_and_unreserve_testbed || die
+run_robot || die
move_archives || die
-die_on_pybot_error || die
+untrap_and_unreserve_testbed || die
+die_on_robot_error || die